### Method

# Soup Message set_tls_client_certificate

#### Declaration [src]

    void
    soup_message_set_tls_client_certificate (
      SoupMessage* msg,
      GTlsCertificate* certificate
    )

#### Description [src]

Sets the `certificate` to be used by `msg`‘s connection when a client certificate is requested during the TLS handshake.

You can call this as a response to `SoupMessage::request-certificate` signal, or before the connection is started. If `certificate` is `NULL` the handshake will continue without providing a GTlsCertificate. Note that the `GTlsCertificate` set by this function will be ignored if `SoupSession:tls-interaction` is not `NULL`.

#### Parameters

`certificate`

  Type: `GTlsCertificate`

  The `GTlsCertificate` to set, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.